import { SliceClickEventArgs as SliceClickEventArgs_internal } from "./SliceClickEventArgs";
/**
 * Contains PieChart click event data.
*/
export declare class IgxSliceClickEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): SliceClickEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets or sets whether the slice is selected.
    */
    get isSelected(): boolean;
    set isSelected(v: boolean);
    static ngAcceptInputType_isSelected: boolean | string;
    /**
     * Gets or sets whether the slice is exploded.
    */
    get isExploded(): boolean;
    set isExploded(v: boolean);
    static ngAcceptInputType_isExploded: boolean | string;
    /**
     * Gets whether the current slice is part of the others slice.
    */
    get isOthersSlice(): boolean;
    static ngAcceptInputType_isOthersSlice: boolean | string;
    /**
     * Gets the index of the slice that was clicked.
    */
    get index(): number;
    static ngAcceptInputType_index: number | string;
    /**
     * Gets the slice data context.
    */
    get dataContext(): any;
    /**
     * Holds a reference to the original event that triggered slice click.
    */
    get originalEvent(): any;
    set originalEvent(v: any);
}
